Tokenhot
English
  • 中文
  • English
English
  • 中文
  • English
English
  • 中文
  • English
  1. DOUBAO
  • en
    • Terms of Service
    • privacy agreement
    • Image Models
      • DOUBAO
        • doubao-seedream-4-0-250828
          POST
        • doubao-seedream-4-5-251128
          POST
      • GPT
        • GPT Image-1.5
      • Gemini
        • gemini-2.5-flash-image
        • gemini-3-pro-image-preview
        • gemini-3.1-flash-image-preview
      • dall
        • dall-e-2
        • dall-e-3
    • Video Models
      • DOUBAO
        • doubao-seedance-1-5-pro-251215 (Generate Video Task)
        • doubao-seedance-1-5-pro-251215 (Get video task status and results)
        • doubao-seedance-2-0-260128
        • doubao-seedance-2.0
        • doubao-seedance-2.0 (Get video task information)
        • doubao-seedance-2.0-V2V
        • doubao-seedance-2.0-V2V (Get video task information)
        • doubao-seedance-2.0-fast
        • doubao-seedance-2.0-fast (get video task information)
        • doubao-seedance-2.0-fast-V2V
        • doubao-seedance-2.0-fast-V2V (Get video task information)
      • Sora
        • Sora-2
        • Sora-2 (Get Video Task Status)
        • Sora-2 (Get Video Content)
    • Chat Models
      • Claude
        • claude-opus-4-6
        • claude-opus-4-6-cc
        • claude-sonnet-4-5-20250929
      • GPT
        • GPT 5
        • GPT 5(Responses)
        • GPT 5.2
        • GPT 5.2(Responses)
        • GPT 5.4
        • GPT 5.4(Responses)
      • Gemini
        • gemini-2.5-flash
        • gemini-2.5-pro
        • gemini-3-flash-preview
        • gemini-3.1-pro
        • gemini-3.1-pro-preview
  1. DOUBAO

doubao-seedream-4-0-250828

POST
/v1/images/generations/
Generic Agent Model Seed1.8.It supports text and picture input, and with its powerful multi-modal processing capabilities, it shows excellent performance in complex application scenarios such as information retrieval, code writing, and graphical user interface (GUI) interaction.Seed1.8 demonstrates outstanding performance and broad applicability across multiple Agent benchmarks.It features industry-leading GUI Agent capabilities that build on Seed1.5-VL.Seed1.8 is also prominent in search tasks, maintaining the industry's first echelon level in multiple public Agent search benchmarks, such as a score of up to 67.6 on the BrowseComp-en benchmark, surpassing other top models such as Gemini-3-Pro.In intelligent programming-related benchmarks, Seed1.8 demonstrates stability for real-world software engineering scenarios.Among the benchmarks related to economic value areas, Seed1.8 demonstrates competence in real-world high-value workflows.Actual API Endpoint: POST https://tokenhot.ai/v1/images/generations/
Model Code: doubao-seedream-4-0-250828

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Body

🟠401
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/images/generations/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "model": "doubao-seedream-4-0-250828",
    "prompt": "A watercolor-style landscape painting of Gangnam Shuixiang",
    "size": "2048x2048",
    "response_format": "url",
    "watermark": false
}'
Response Response Example
{
    "model": "doubao-seedream-4-0-250828",
    "created": 1774340075,
    "data": [
        {
            "url": "https://xxx.example.com/doubao-seedream-4-0/",
            "size": "2048x2048"
        }
    ],
    "usage": {
        "generated_images": 1,
        "output_tokens": 16384,
        "total_tokens": 16384,
        "tool_usage": null
    },
    "error": null
}
Modified at 2026-03-25 06:34:43
Previous
privacy agreement
Next
doubao-seedream-4-5-251128
Built with